Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xbaseinput
Class XBase

    java.lang.Object
      org.pentaho.di.trans.steps.xbaseinput.XBase

    public class XBase

extends Object

Handles file reading from XBase (DBF) type of files.

Since:
  12-08-2004
Author:
  Matt

Constructor Summary
`XBase(InputStream inputStream)`
`XBase(String file_dbf)`

Method Summary
`boolean` | `close()`
`String` | `getDbfFile()`
`org.pentaho.di.core.row.RowMetaInterface` | `getFields()`
`com.linuxense.javadbf.DBFReader` | `getReader()`
`Object[]` | `getRow(Object[] r)`
`Object[]` | `getRow(org.pentaho.di.core.row.RowMetaInterface fields)`
`boolean` | `hasError()`
`void` | `open()`
`void` | `setDbfFile(String dbfFile)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBase

    public XBase(String file_dbf)

### XBase

    public XBase(InputStream inputStream)

Method Detail

### open

    public void open()
              throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFields

    public org.pentaho.di.core.row.RowMetaInterface getFields()
                                                       throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getRow

    public Object[] getRow(org.pentaho.di.core.row.RowMetaInterface fields)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getRow

    public Object[] getRow(Object[] r)
                    throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### close

    public boolean close()

### hasError

    public boolean hasError()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDbfFile

    public String getDbfFile()

  Returns:
    the dbfFile

### setDbfFile

    public void setDbfFile(String dbfFile)

  Parameters:
    `dbfFile` - the dbfFile to set

### getReader

    public com.linuxense.javadbf.DBFReader getReader()

  Returns:
    the reader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD